fullyconnected_forward<{{name|upper}}_NB_CHANNELS,
                       {{name|upper}}_CHANNELS_HEIGHT,
                       {{name|upper}}_CHANNELS_WIDTH,
                       {{name|upper}}_NB_OUTPUTS,
                       {{name|upper}}_OUTPUTS_HEIGHT,
                       {{name|upper}}_OUTPUTS_WIDTH,
                       {{name|upper}}_ACTIVATION>
                       ({{inputs_name}}, {{outputs_name}}, {{weights_name}}, {{biases_name}}, {{name|upper}}_RESCALING);